Name:           libmatthew-java
Version:        0.8
Release:        %mkrel 15
Summary:        A few useful Java libraries
Group:          Development/Java
License:        MIT

# actual upstream:
URL: http://matthew.ath.cx/projects/java/
Source0: http://matthew.ath.cx/projects/java/%{name}-%{version}.tar.gz

# OSGi manifests
Source1:        %{name}-hexdump-osgi-MANIFEST.MF
Source2:        %{name}-unix-osgi-MANIFEST.MF

Patch0:         install_doc.patch
Patch1:         native-library-paths.patch
Patch2:         classpath_fix.patch
Patch3:         libmatthew-java-0.8-jdk10.patch

BuildRequires:  java-devel >= 1:1.6.0

Requires:       java-headless
Requires:       javapackages-tools

%description
A collection of Java libraries:
- Unix Sockets Library
  This is a collection of classes and native code to allow you to read
  and write Unix sockets in Java.

- Debug Library
  This is a comprehensive logging and debugging solution.

- CGI Library
  This is a collection of classes and native code to allow you to write
  CGI applications in Java.

- I/O Library
  This provides a few much needed extensions to the Java I/O subsystem.

- Hexdump
  This class formats byte-arrays in hex and ascii for display.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Requires:       jpackage-utils


%description javadoc
Javadoc for %{name}


%prep
%setup -q
%patch0 -p1

# this patch adds a system dependent path, so we fix it before
# applying the patch
sed -e 's|@JNIPATH@|%{_libdir}/%{name}|' %{PATCH1} | patch -p1 

%patch2 -p1
%patch3 -p1

%build
export JAVA_HOME=/usr/lib/jvm/java-11-openjdk
make %{?_smp_mflags} \
    CFLAGS='%{optflags}' \
    GCJFLAGS='%{optflags}' \
    LDFLAGS='%{optflags}' \
    PPFLAGS='%{optflags}' \
    JVERCFLAGS='-source 8' \
    JAVADOC="javadoc -Xdoclint:none" \
    -j1

# Inject OSGi manifests
jar umf %{SOURCE1} hexdump-0.2.jar
jar umf %{SOURCE2} unix-0.5.jar

%install
export JAVA_HOME=/usr/lib/jvm/java-11-openjdk
make install \
    CFLAGS='%{optflags}' \
    DESTDIR=$RPM_BUILD_ROOT \
    JARDIR=%{_jnidir} \
    LIBDIR=%{_libdir}/%{name} \
    DOCDIR=%{_javadocdir}/%{name} \
    JAVADOC="javadoc -Xdoclint:none"

%files
%{_jnidir}/*.jar
%{_libdir}/%{name}
%doc COPYING INSTALL README

%files javadoc
%{_javadocdir}/%{name}
%doc COPYING




%changelog
* Sun Jan 10 2021 daviddavid <daviddavid> 0.8-15.mga8
+ Revision: 1670360
- allow building with JDK 10 and higher
+ luigiwalser <luigiwalser>
- set java source version to 1.8 to fix build

* Thu Feb 13 2020 umeabot <umeabot> 0.8-13.mga8
+ Revision: 1514232
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.8-12.mga7
+ Revision: 1298981
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Mar 01 2016 daviddavid <daviddavid> 0.8-10.mga6
+ Revision: 981330
- First rebuild of the java stack
- sync package libmatthew-java with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8-8.mga5
+ Revision: 749331
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8-7.mga5
+ Revision: 726738
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-6.mga5
+ Revision: 681593
- Mageia 5 Mass Rebuild

* Sat Jan 04 2014 dmorgan <dmorgan> 0.8-5.mga4
+ Revision: 564659
- Fix jar files location

* Sat Oct 19 2013 umeabot <umeabot> 0.8-4.mga4
+ Revision: 522553
- Mageia 4 Mass Rebuild

* Mon Mar 18 2013 zezinho <zezinho> 0.8-3.mga3
+ Revision: 403786
- patch from  Atilla ÖNTAŞ to fix #9002 and #9003

* Sat Jan 12 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 357730
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dmorgan <dmorgan>
- imported package libmatthew-java


* Wed Jun 29 2011 Alexander Kurtakov <akurtako@redhat.com> 0.8-1
- Update to new upstream version (0.8).
- License changed to MIT.

* Sun Feb 13 2011 Mat Booth <fedora@matbooth.co.uk> 0.7.2-5
- Inject OSGi manifests into jars so that they may be used in OSGi apps such
  as Eclipse plug-ins.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 8 2010 Omair Majid <omajid@redhat.com> 0.7.2-3
- Add license file to javadoc subpackage

* Wed Jan 13 2010 Alexander Kurtakov <akurtako@redhat.com> 0.7.2-2
- Export JAVA_HOME to fix build.

* Wed Jan 13 2010 Alexander Kurtakov <akurtako@redhat.com> 0.7.2-1
- Update to upstream 0.7.2.
- Drop gcj_support.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 4 2008 Omair Majid <omajid@redhat.com> 0.7.1-4
- Added -j1 to disable parallel build. Fixes the race condition that resulted 
  in class files of size 0
- Eliminated early_upstream.patch (patch was adapted by upstream)

* Thu Aug 28 2008 Omair Majid <omajid@redhat.com> 0.7.1-3
- Created new patches that dont cause fuzz when patching.

* Wed Jul 2 2008 Omair Majid <omajid@redhat.com> 0.7.1-2
- Fixed hardcoded paths for jni libraries

* Wed Jun 25 2008 Omair Majid <omajid@redhat.com> 0.7.1-1.fc9
- Initial build for fedora
